{% extends "blog/base.html" %}
{% block content %}
<style type="text/css">
	.red{color: #F6358A}
	.blue{color: #728FCE}
	.purp{color: #9E7BFF}
	.oran{color: #FFA500}
	.bad{color: #ED4245}
	.link{color: #728FCE}
	.tabbed{
	  margin-left: 10px;
	  text-indent:40px;
	}
	.margined{
	  margin-left: 10px;
	}
</style>

<div id="About">
    <h1>What is this site about?</h1>
        <p class="tabbed">
            For a long time people have discussed a desire to use their fediverse account in the context of a dating site.
            This site is intended to fill that niche but with significant consideration about how such a site should work.
            The following is an attempt at explaining that process and why this site is the way it is.</p>
    <h4 class="purp">Fundamental conflict</h4>
        <p class="tabbed">
            Fediverse users eschew mainstream social media sites, they care about personal privacy and use of their data
            more than the average internet user. Most dating sites hoover up as much data about users as possible and offer
            your identifiable information to virtually anyone. All of that data collection is intentional but a significant
            amount comes as a natural consequence of how those sites are designed.
        </p>
        <p class="tabbed">
            For these reasons and more recreating a standard dating site for the fediverse seemed to me like a waste of time.
            The more I considered what this site should be, the less it looked like the typical dating app.
            This is far from a bad thing, if you are going to reinvent the wheel, it may as well come with significant changes.
        </p>
        <p class="tabbed">This list details the major differences between this site most other dating sites:</p>
    <h4 class="oran">My vision</h4>
        <p class="margined">-- No expectation to use the service exclusively for dating, explicit social-only option available</p>
        <p class="margined">-- No friend/like system, so no new centralized relational database that could be exploited</p>
        <p class="margined">-- No built-in chat, since the service is built on an existing system for sending messages</p>
        <p class="margined">-- No image hosting for the same reason, all images can be sourced from instances</p>
        <p class="margined">-- No required information (other than age) so you can choose to share as little as you like</p>
        <p class="margined">-- No extrapolation of your location, you choose to share whatever location you like, or none</p>
        <p class="margined">-- No new login, access handled by OAuth on your home instance</p>
        <p class="margined">-- No access to your fediverse account for reading or sending messages, only basic info</p>
        <p class="margined">-- No dependence on Javascript to use the site, for those who are paranoid</p>
    <p class="tabbed">
        The end result is a no-frills peer discovery service that lets you use your fediverse account to create and find
        more detailed profiles than what's standard on instances. A granular search function for the extra attributes provides
        even more functionality that is missing from current fediverse software. Simple matching algorithms for social and
        romantic partners allows it to be more than merely a directory of accounts. Ultimately I've endeavored to create a
        useful service that even some of the more skeptical fedi users would feel comfortable using. I count myself among
        those types. I feel like I've made something that I would enjoy using myself and would love to see other people use.
    </p>
    <h4 class="blue">Room for improvement</h4>
        <p class="tabbed">
            There is no denying that the quality of the site is extremely low. It is the product of one man with practically
            no previous experience in web design. Luckily I've chosen to use a platform which has code written by people
            much more professional than I am which handles the more sophisticated and sensitive elements of site design.
            There are certainly improvements to the aesthetic that could be made and features that could be added, at this point
            though, I figured the project was at a point that it can be released for wider use.
        </p>
        <p class="tabbed">
            Any improvements people have to contribute are welcome. Ultimately I'd like to see this reimagined as a function
            of instances, which would federate and share information in a truly distributed model. For now such an implementation
            is way outside of my abilities though and after a while, improving on a project in secret becomes a waste of time.
            The proof of concept has to be shown. I'm showing you a tool "as-is," it's up to the wider community whether
            they would like to pick it up and use it.
        </p>
</div>

<div id="Rules">
    <h1>Rules</h1>
    <p class="tabbed">
    I would like to be as permissive as possible with this service and allow people to use the site as they wish.
    Unfortunately there have to be some limitations on your use of the site to allow it to continue running.</p>
    <p class="margined">-- You must be at least 18 years of age to use the service. Age is a required field on every profile, you do not
        have to put your real age but you must really be an adult to sign up.</p>
    <p class="margined">-- You may not post any content of any kind relating to sex with children. I don't care if it's a drawing or
        fictional literature, no media of a sexual nature regarding children is allowed at all.</p>
    <p class="margined">-- Do not abuse the site features. Examples include but are not limited to: posting malicious links,
        using the questionnaire response to spam or harass people, and overloading the search with queries. </p>
    <p class="tabbed">
    It should go without saying that any unsanctioned hacking shenanigans are not allowed. I will say it anyway though,
    to be clear. Sometimes harmless fun can be had but if you abuse bugs or break the site I will have to take action.
    Be nice please.</p>
    <p class="margined">
    That is it, for now. Please do not force me to make new rules or write more code to curtail people's abilities.</p>
</div>

<div id="How-To">
    <h1>How it works</h1>
    <p class="margined">How the site works (in practice):</p>
    <p class="margined">-- You click on the "Login" page and select your instance, you're redirected to your instance for OAuth,
        once you authenticate you will be sent to edit your profile.</p>
    <p class="margined">-- You can choose to share as much information as you want, you are allowed to not fill out everything except age,
        the default state is only the avatar/handle/bio from your fedi account.</p>
    <p class="margined">-- You can then use the "Search" feature to search the database for profiles based on any of these attributes,
        or go to the "Browse" feature and see if you have any matches based on what you've added. </p>
    <p class="margined">-- If you find a profile you like, try following or messaging them on the fediverse. As a potential ice-breaker,
        you can send them a message through the "Questionnaire" feature, so that important questions can be answered
        right up front. Look for it on their FF profile page. </p>
    <p class="margined">How the site works (in theory):</p>
    <p class="margined">-- Fedifinder is a centralized directory of fediverse users with the ability to create detailed profiles.</p>
    <p class="margined">-- Each new piece of information is a new criteria by which one can search for or match with others.</p>
    <p class="margined">-- You can use the site like a ghost, just look around and not put in any information about yourself if you so choose.
        I would encourage you to add something to your profile though, if nobody does then there really is no utility to the site.</p>
    <p class="margined">-- If users have relevant information about themselves on their profile, they have a new way of finding
        or being found by other users that share things in common.</p>
</div>

<div id="Contact">
    <h1>Contact Information</h1>
    <p class="margined">You can contact me regarding this site on fedi via <a class="link" href="https://noagendasocial.com/web/accounts/279236">@HLC@noagendasocial.com</a>.</p>
    <h4>Please contact me regarding:</h4>
        <p class="margined">-- Illegal material being posted on profiles (Malicious links, anything related to CSAM, or legitimate threats to others)</p>
        <p class="margined">-- Abuse of the quiz response messaging service for REPEATED harassment (one joke response is not going to kill you)</p>
        <p class="margined">-- Contributing features or improvements to the code (Improvements to CSS or site security are very welcome)</p>
        <p class="margined">-- Contributing value for the site in any form (Monetary, IT services, graphics, advertisement, etc.)</p>
        <p class="margined">-- The site or some element of it is not working properly or at all</p>
    <h4 class="bad">Please do not contact me regarding:</h4>
        <p class="margined">-- Something you saw on somebody's profile upset you, but does not fit into the illegal categories listed above</p>
        <p class="margined">-- Requests to purchase or otherwise access any kind of site statistics or backend user information</p>
        <p class="margined">-- Requests to see the site source code without any reference or good reason for doing so</p>
        <p class="margined">-- Inane troll comments, I will block you from messaging me and using this site</p>
</div>
{% endblock content %}
